MathFunctions
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.graphtools.utils
Class MathFunctions

    java.lang.Object
      org.gcube.contentmanagement.graphtools.utils.MathFunctions

    public class MathFunctions

extends java.lang.Object

Constructor Summary
`MathFunctions()`

Method Summary
`static java.math.BigInteger` | `chunk2Index(int chunkIndex, int chunkSize)`
`static double[]` | `derivative(double[] a)`
`static boolean[]` | `findSpikes(double[] derivative)`
`static boolean[]` | `findSpikes(double[] derivative, double threshold)`
`static java.util.List<java.lang.Integer>` | `findZeros(double[] points)`
`static java.util.ArrayList<java.lang.Integer>` | `generateRandoms(int numberOfRandoms, int min, int max)`
`static int[]` | `generateSequence(int elements)`
`static float` | `incrementPerc(float perc, float quantity, int N)`
`static boolean` | `isIn(java.util.List<java.lang.Integer> indexarray, int index)`
`static double[]` | `logSubdivision(double start, double end, int numberOfParts)`
`static void` | `main(java.lang.String[] args)`
`static double` | `mean(double[] p)`
`static double[]` | `points2Double(java.util.List<> pointslist, int seriesIndex, int numbOfPoints)`
`static double` | `roundDecimal(double number, int decimalposition)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MathFunctions

    public MathFunctions()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` -

### roundDecimal

    public static double roundDecimal(double number,
                                      int decimalposition)

### incrementPerc

    public static float incrementPerc(float perc,
                                      float quantity,
                                      int N)

### generateRandoms

    public static java.util.ArrayList<java.lang.Integer> generateRandoms(int numberOfRandoms,
                                                                         int min,
                                                                         int max)

### generateSequence

    public static int[] generateSequence(int elements)

### chunk2Index

    public static java.math.BigInteger chunk2Index(int chunkIndex,
                                                   int chunkSize)

### mean

    public static double mean(double[] p)

### derivative

    public static double[] derivative(double[] a)

### findSpikes

    public static boolean[] findSpikes(double[] derivative,
                                       double threshold)

### findSpikes

    public static boolean[] findSpikes(double[] derivative)

### points2Double

    public static double[] points2Double(java.util.List<> pointslist,
                                         int seriesIndex,
                                         int numbOfPoints)

### isIn

    public static boolean isIn(java.util.List<java.lang.Integer> indexarray,
                               int index)

### findZeros

    public static java.util.List<java.lang.Integer> findZeros(double[] points)

### logSubdivision

    public static double[] logSubdivision(double start,
                                          double end,
                                          int numberOfParts)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD